MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000083XdebugUsage problems (Wrong Results)public2004-08-02 12:152004-08-06 08:52
Reportermathieu 
Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionopen 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000083: More than 20 parameters functions make xdebug crashes
Description-------------- Script 1 ----------------
<?
   function a()
   {
      return true ;
   }

   a( 1, 2, 3, 4, 5, 6, 7, 8, 9, 10,
      11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21 ) ;

   echo "This message won't be printed\n" ;
?>

No apache response :
[mathieu@localhost test]$ netcat 192.168.0.4 80
GET http://192.168.0.4/ubi/test.php [^]
[mathieu@localhost test]$


-------------- Script 2 ----------------

<?
   function a()
   {
      return true ;
   }

   a( 1, 2, 3, 4, 5, 6, 7, 8, 9, 10,
      11, 12, 13, 14, 15, 16, 17, 18, 19, 20 ) ;

   echo "This message will be printed\n" ;
?>

Apache output :
[mathieu@localhost test]$ netcat 192.168.0.4 80
GET http://192.168.0.4/ubi/test.php [^]
This message will be printed
[mathieu@localhost test]$



Both of these tests work well when xdebug is not activated in php.ini. It makes me think you allocate statically something with a 20 value. Or you talked about a limit and I didn't see it.

Hope it can help you

Mathieu

TagsNo tags attached.
Operating SystemLinux
PHP Version4.3.7
Attached Files

- Relationships

-  Notes
(0000163)
derick (administrator)
2004-08-02 13:46

There is indeed a static limit of 20 in Xdebug 1.3, and a limit of 32 in Xdebug 2.0. I will definitely fix this in 2.0, but not sure about 1.3 yet as there might be too many different things to be done and I don't really want to re-do it for 1.3. If you can compile Xdebug yourself, just change the "20" in line 156 of php_xdebug.h to something higher and recompile.
(0000164)
mathieu (reporter)
2004-08-02 14:17

Thank you Derick,

it works very well now.

For information, I compiled it with "xdebug_var vars[200];".

I will look if I can make it dynamic later.

Bye bye,
++mathieu;
(0000167)
derick (administrator)
2004-08-03 22:47

I just fixed this in CVS for Xdebug 2.0x, I will have a look now if I can fix it easily for 1.3.x too.
(0000169)
derick (administrator)
2004-08-03 22:51

The fix is very easy to port to 1.3.x I noticed, I just don't have the energy to do it now. Will have a look tomorrow (I guess).
(0000177)
derick (administrator)
2004-08-06 08:52

Also fixed in the XDEBUG_1_3 branch in CVS now.

- Issue History
Date Modified Username Field Change
2004-08-02 12:15 mathieu New Issue
2004-08-02 13:46 derick Note Added: 0000163
2004-08-02 13:46 derick Status new => confirmed
2004-08-02 14:17 mathieu Note Added: 0000164
2004-08-03 22:47 derick Status confirmed => closed
2004-08-03 22:47 derick Note Added: 0000167
2004-08-03 22:51 derick Note Added: 0000169
2004-08-03 22:52 derick Status closed => confirmed
2004-08-06 08:52 derick Status confirmed => closed
2004-08-06 08:52 derick Note Added: 0000177
2016-07-31 13:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 13:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker